Skip to main content
PATCH
Update user contact details

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
integer
required

A unique integer value identifying this user.

Body

full_name
string
Maximum string length: 100
phone
string | null
Maximum string length: 100
country_code
string | null
Maximum string length: 100
state
string | null
Maximum string length: 100
city
string | null
Maximum string length: 100
address_1
string | null
Maximum string length: 500
address_2
string | null
Maximum string length: 500
postcode
string | null
Maximum string length: 100
blocked
boolean
kyc_verified
boolean

Response

200 - application/json

Returns a confirmation object with details when the user details are updated.

{key}
any